Foxit PDF Conversion SDK

Public Member Functions | List of all members
fpdfconversionsdk.PDF2OfficeSettingData Class Reference

## Public Member Functions
def | GetEnable_matching_system_fonts ()
| Get a boolean value that indicates whether to accurately match system fonts when converting PDF documents to office format documents. More...
def | GetEnable_ml_recognition ()
| Get a boolean value which indicates whether enable machine learning-based recognition functionality. More...
def | GetEnable_trailing_space ()
| Get a boolean value which indicates whether to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. More...
def | GetExcel_setting_data ()
| Get a setting data object that used for converting PDF documents to Excel format documents. More...
def | GetInclude_images ()
| Get a boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents. More...
def | GetInclude_pdf_comments ()
| Get a boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents. More...
def | GetMetrics_data_folder_path ()
| Get a valid path of a folder which contains metrics data files. More...
def | GetPage_range ()
| Get a range object that specifies some pages. More...
def | GetPower_point_setting_data ()
| Get a setting data object that used for converting PDF documents to Power Point format documents. More...
def | GetWord_setting_data ()
| Get a setting data object that used for converting PDF documents to Word format documents. More...
def | Set (metrics_data_folder_path, enable_ml_recognition, page_range, include_pdf_comments, word_setting_data, power_point_setting_data, excel_setting_data, enable_trailing_space, include_images, enable_matching_system_fonts)
| Set value. More...
def | SetEnable_matching_system_fonts (value)
| Set a boolean value that indicates whether to accurately match system fonts when converting PDF documents to office format documents. More...
def | SetEnable_ml_recognition (value)
| Set a boolean value which indicates whether enable machine learning-based recognition functionality. More...
def | SetEnable_trailing_space (value)
| Set a boolean value which indicates whether to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. More...
def | SetExcel_setting_data (value)
| Set a setting data object that used for converting PDF documents to Excel format documents. More...
def | SetInclude_images (value)
| Set a boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents. More...
def | SetInclude_pdf_comments (value)
| Set a boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents. More...
def | SetMetrics_data_folder_path (value)
| Set a valid path of a folder which contains metrics data files. More...
def | SetPage_range (value)
| Set a range object that specifies some pages. More...
def | SetPower_point_setting_data (value)
| Set a setting data object that used for converting PDF documents to Power Point format documents. More...
def | SetWord_setting_data (value)
| Set a setting data object that used for converting PDF documents to Word format documents. More...

## Detailed Description

This class represents setting data used for converting PDF to Office(Word, Excel or PowerPoint) format file.

## Member Function Documentation

## ◆ GetEnable_matching_system_fonts()

fpdfconversionsdk.PDF2OfficeSettingData.GetEnable_matching_system_fonts | ( |  | ) |

Get a boolean value that indicates whether to accurately match system fonts when converting PDF documents to office format documents.

true means accurately matching system fonts when converting PDF documents to office format documents. false means not accurately matching system fonts when converting PDF documents to office format documents. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

Returns
  A boolean value that indicates whether to accurately match system fonts when converting PDF documents to office format documents. Default value: false.

## ◆ GetEnable_ml_recognition()

fpdfconversionsdk.PDF2OfficeSettingData.GetEnable_ml_recognition | ( |  | ) |

Get a boolean value which indicates whether enable machine learning-based recognition functionality.

true means enable machine learning-based recognition functionality to identify borderless tables in PDF documents. And this recognition functionality will be executed on the server side and return the relevant results when it is done. In order to convert the tables better, it will draw a black border with a width of 1 on the recognized borderless table. This will be improved in subsequent versions. false means disable machine learning-based recognition functionality. And the recognition functionality not based on machine learning will be enabled.

Note
  Our machine learning-based technology for identifying borderless tables uses HTTPS and requires a network connection to send the images of the rendered PDF pages to our server during the conversion process.

Returns
  A boolean value which indicates whether enable machine learning-based recognition functionality. Default value: false.

## ◆ GetEnable_trailing_space()

fpdfconversionsdk.PDF2OfficeSettingData.GetEnable_trailing_space | ( |  | ) |

Get a boolean value which indicates whether to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents.

true means to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. false means not to add trailing spaces from lines in paragraphs and add a property to the paragraph that allows for line breaks. Currently, this support is limited to paragraphs where more than 80% of the text involves the end of one line and the beginning of the next both being in Korean. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

Returns
  A boolean value which indicates whether to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. Default value: true.

## ◆ GetExcel_setting_data()

fpdfconversionsdk.PDF2OfficeSettingData.GetExcel_setting_data | ( |  | ) |

Get a setting data object that used for converting PDF documents to Excel format documents.

This setting is only vaild for the conversion of PDF documents to Excel format documents. For more details, please refer to class PDF2ExcelSettingData .

Returns
  A setting data object that used for converting PDF documents to Excel format documents.

## ◆ GetInclude_images()

fpdfconversionsdk.PDF2OfficeSettingData.GetInclude_images | ( |  | ) |

Get a boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents.

true means to include images in PDF documents for converting PDF documents to office format documents. false means not to include images in PDF documents PDF documents to office format documents. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

Returns
  A boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents. Default value: true.

## ◆ GetInclude_pdf_comments()

fpdfconversionsdk.PDF2OfficeSettingData.GetInclude_pdf_comments | ( |  | ) |

Get a boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents.

true means to include PDF document comments for the conversion of PDF documents to office format documents. false means not to include PDF document comments for the conversion of PDF documents to office format documents.

Returns
  A boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents. Default value: true.

## ◆ GetMetrics_data_folder_path()

fpdfconversionsdk.PDF2OfficeSettingData.GetMetrics_data_folder_path | ( |  | ) |

Get a valid path of a folder which contains metrics data files.

Deprecated:
  Current property has been deprecated since Foxit PDF Conversion SDK 2.1. Instead, metrics data will be included in the dynamic library.

These metrics data files are used to simulate the office format document typesetting process during conversion. They are offered in the "res/metrics_data" folder of the Foxit PDF Conversion SDK package.

Returns
  A valid path of a folder which contains metrics data files. This should not be an empty string.

## ◆ GetPage_range()

fpdfconversionsdk.PDF2OfficeSettingData.GetPage_range | ( |  | ) |

Get a range object that specifies some pages.

The valid page range: from 0 to (count - 1), where count is the total page count of the PDF documents. If this range object is constructed by default constructor and not set any value, that means all the pages of current document will be used to convert PDF documents to office format documents.

Returns
  A range object that specifies some pages. These pages will be used to convert PDF documents to office format documents.

## ◆ GetPower_point_setting_data()

fpdfconversionsdk.PDF2OfficeSettingData.GetPower_point_setting_data | ( |  | ) |

Get a setting data object that used for converting PDF documents to Power Point format documents.

This setting is only vaild for the conversion of PDF documents to Power Point format documents. For more details, please refer to class PDF2PowerPointSettingData .

Returns
  A setting data object that used for converting PDF documents to Power Point format documents.

## ◆ GetWord_setting_data()

fpdfconversionsdk.PDF2OfficeSettingData.GetWord_setting_data | ( |  | ) |

Get a setting data object that used for converting PDF documents to Word format documents.

This setting is only vaild for the conversion of PDF documents to word format documents. For more details, please refer to class PDF2WordSettingData .

Returns
  A setting data object that used for converting PDF documents to Word format documents.

## ◆ Set()

def fpdfconversionsdk.PDF2OfficeSettingData.Set | ( |  | metrics_data_folder_path,
|  |  | enable_ml_recognition,
|  |  | page_range,
|  |  | include_pdf_comments,
|  |  | word_setting_data,
|  |  | power_point_setting_data,
|  |  | excel_setting_data,
|  |  | enable_trailing_space,
|  |  | include_images,
|  |  | enable_matching_system_fonts
| ) |  |

Set value.

Parameters

  [in] | metrics_data_folder_path | (Deprecated)A valid path of a folder which contains metrics data files. This should not be an empty string. These metrics data files are used to simulate the office format document typesetting process during conversion. They are offered in the "res/metrics_data" folder of the Foxit PDF Conversion SDK package.
  [in] | enable_ml_recognition | A boolean value which indicates whether enable machine learning-based recognition functionality. Default value: false. true means enable machine learning-based recognition functionality to identify borderless tables in PDF documents. In order to convert the tables better, it will draw a black border with a width of 1 on the recognized borderless table. This will be improved in subsequent versions. And this recognition functionality will be executed on the server side and return the relevant results when it is done. false means disable machine learning- based recognition functionality. And the recognition functionality not based on machine learning will be enabled.
  [in] | page_range | A range object that specifies some pages. These pages will be used to convert PDF documents to office format documents.
  [in] | include_pdf_comments | A boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents. Default value: true. true means to include PDF document comments for the conversion of PDF documents to office format documents. false means not to include PDF document comments for the conversion of PDF documents to office format documents.
  [in] | word_setting_data | A setting data object that used for converting PDF documents to Word format documents.
  [in] | power_point_setting_data | A setting data object that used for converting PDF documents to Power Point format documents.
  [in] | excel_setting_data | A setting data object that used for converting PDF documents to Excel format documents.
  [in] | enable_trailing_space | A boolean value which indicates whether to add trailing spaces from lines in paragraphs.for converting PDF documents to office format documents. Default value: true. true means to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. false means not to add trailing spaces from lines in paragraphs and add a property to the paragraph that allows for line breaks. Currently, this support is limited to paragraphs where more than 80% of the text involves the end of one line and the beginning of the next both being in Korean. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.
  [in] | include_images | A boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents. Default value: true. true means to include images in PDF documents for converting PDF documents to office format documents. false means not to include images in PDF documents PDF documents to office format documents. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.
  [in] | enable_matching_system_fonts | A boolean value which indicates whether to enable matching system fonts for converting PDF documents to office format documents. Default value: false. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

Note
  Our machine learning-based technology for identifying borderless tables uses HTTPS and requires a network connection to send the images of the rendered PDF pages to our server during the conversion process.

Returns
  None.

## ◆ SetEnable_matching_system_fonts()

fpdfconversionsdk.PDF2OfficeSettingData.SetEnable_matching_system_fonts | ( |  | value | ) |

Set a boolean value that indicates whether to accurately match system fonts when converting PDF documents to office format documents.

true means accurately matching system fonts when converting PDF documents to office format documents. false means not accurately matching system fonts when converting PDF documents to office format documents. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

Parameters

  [in] | value | A boolean value that indicates whether to accurately match system fonts when converting PDF documents to office format documents. Default value: false.

Returns
  None.

## ◆ SetEnable_ml_recognition()

fpdfconversionsdk.PDF2OfficeSettingData.SetEnable_ml_recognition | ( |  | value | ) |

Set a boolean value which indicates whether enable machine learning-based recognition functionality.

true means enable machine learning-based recognition functionality to identify borderless tables in PDF documents. And this recognition functionality will be executed on the server side and return the relevant results when it is done. In order to convert the tables better, it will draw a black border with a width of 1 on the recognized borderless table. This will be improved in subsequent versions. false means disable machine learning-based recognition functionality. And the recognition functionality not based on machine learning will be enabled.

Note
  Our machine learning-based technology for identifying borderless tables uses HTTPS and requires a network connection to send the images of the rendered PDF pages to our server during the conversion process.

Parameters

  [in] | value | A boolean value which indicates whether enable machine learning-based recognition functionality. Default value: false.

Returns
  None.

## ◆ SetEnable_trailing_space()

fpdfconversionsdk.PDF2OfficeSettingData.SetEnable_trailing_space | ( |  | value | ) |

Set a boolean value which indicates whether to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents.

true means to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. false means not to add trailing spaces from lines in paragraphs and add a property to the paragraph that allows for line breaks. Currently, this support is limited to paragraphs where more than 80% of the text involves the end of one line and the beginning of the next both being in Korean. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

Parameters

  [in] | value | A boolean value which indicates whether to add trailing spaces from lines in paragraphs for converting PDF documents to office format documents. Default value: true.

Returns
  None.

## ◆ SetExcel_setting_data()

fpdfconversionsdk.PDF2OfficeSettingData.SetExcel_setting_data | ( |  | value | ) |

Set a setting data object that used for converting PDF documents to Excel format documents.

This setting is only vaild for the conversion of PDF documents to Excel format documents. For more details, please refer to class PDF2ExcelSettingData .

Parameters

  [in] | value | A setting data object that used for converting PDF documents to Excel format documents.

Returns
  None.

## ◆ SetInclude_images()

fpdfconversionsdk.PDF2OfficeSettingData.SetInclude_images | ( |  | value | ) |

Set a boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents.

true means to include images in PDF documents for converting PDF documents to office format documents. false means not to include images in PDF documents PDF documents to office format documents. This is only available for converting PDF documents to Word format documents, with support for other Office formats planned for the future.

Parameters

  [in] | value | A boolean value which indicates whether to include images in PDF documents for converting PDF documents to office format documents. Default value: true.

Returns
  None.

## ◆ SetInclude_pdf_comments()

fpdfconversionsdk.PDF2OfficeSettingData.SetInclude_pdf_comments | ( |  | value | ) |

Set a boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents.

true means to include PDF document comments for the conversion of PDF documents to office format documents. false means not to include PDF document comments for the conversion of PDF documents to office format documents.

Parameters

  [in] | value | A boolean value which indicates whether to include PDF documents comments for the conversion of PDF documents to office format documents. Default value: true.

Returns
  None.

## ◆ SetMetrics_data_folder_path()

fpdfconversionsdk.PDF2OfficeSettingData.SetMetrics_data_folder_path | ( |  | value | ) |

Set a valid path of a folder which contains metrics data files.

Deprecated:
  Current property has been deprecated since Foxit PDF Conversion SDK 2.1. Instead, metrics data will be included in the dynamic library.

These metrics data files are used to simulate the office format document typesetting process during conversion. They are offered in the "res/metrics_data" folder of the Foxit PDF Conversion SDK package.

Parameters

  [in] | value | A valid path of a folder which contains metrics data files. This should not be an empty string.

Returns
  None.

## ◆ SetPage_range()

fpdfconversionsdk.PDF2OfficeSettingData.SetPage_range | ( |  | value | ) |

Set a range object that specifies some pages.

The valid page range: from 0 to (count - 1), where count is the total page count of the PDF documents. If this range object is constructed by default constructor and not set any value, that means all the pages of current document will be used to convert PDF documents to office format documents.

Parameters

  [in] | value | A range object that specifies some pages. These pages will be used to convert PDF documents to office format documents.

Returns
  None.

## ◆ SetPower_point_setting_data()

fpdfconversionsdk.PDF2OfficeSettingData.SetPower_point_setting_data | ( |  | value | ) |

Set a setting data object that used for converting PDF documents to Power Point format documents.

This setting is only vaild for the conversion of PDF documents to Power Point format documents. For more details, please refer to class PDF2PowerPointSettingData .

Parameters

  [in] | value | A setting data object that used for converting PDF documents to Power Point format documents.

Returns
  None.

## ◆ SetWord_setting_data()

fpdfconversionsdk.PDF2OfficeSettingData.SetWord_setting_data | ( |  | value | ) |

Set a setting data object that used for converting PDF documents to Word format documents.

This setting is only vaild for the conversion of PDF documents to word format documents. For more details, please refer to class PDF2WordSettingData .

Parameters

  [in] | value | A setting data object that used for converting PDF documents to Word format documents.

Returns
  None.